org.icefaces.ace.component.textentry

## Interface ITextEntry

- All Known Implementing Classes:
    TextEntry, TextEntryBase

      public interface ITextEntry

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIndicatorPosition()`
    `java.lang.String` | `getLabelPosition()`
    `java.lang.String` | `getOptionalIndicator()`
    `java.lang.String` | `getRequiredIndicator()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isAutoTab()`
    `boolean` | `isRedisplay()`
    `boolean` | `isSecret()`
    `void` | `setAutoTab(boolean autoTab)`
    `void` | `setIndicatorPosition(java.lang.String indicatorPosition)`
    `void` | `setLabelPosition(java.lang.String labelPosition)`
    `void` | `setOptionalIndicator(java.lang.String optionalIndicator)`
    `void` | `setRedisplay(boolean redisplay)`
    `void` | `setRequiredIndicator(java.lang.String requiredIndicator)`
    `void` | `setSecret(boolean secret)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setAutoTab

          void setAutoTab(boolean autoTab)

    - #### isAutoTab

          boolean isAutoTab()

    - #### setIndicatorPosition

          void setIndicatorPosition(java.lang.String indicatorPosition)

    - #### getIndicatorPosition

          java.lang.String getIndicatorPosition()

    - #### setLabelPosition

          void setLabelPosition(java.lang.String labelPosition)

    - #### getLabelPosition

          java.lang.String getLabelPosition()

    - #### setOptionalIndicator

          void setOptionalIndicator(java.lang.String optionalIndicator)

    - #### getOptionalIndicator

          java.lang.String getOptionalIndicator()

    - #### setRedisplay

          void setRedisplay(boolean redisplay)

    - #### isRedisplay

          boolean isRedisplay()

    - #### setRequiredIndicator

          void setRequiredIndicator(java.lang.String requiredIndicator)

    - #### getRequiredIndicator

          java.lang.String getRequiredIndicator()

    - #### setSecret

          void setSecret(boolean secret)

    - #### isSecret

          boolean isSecret()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.